/*
 * Copyright 2026 CodingMarkus
 *
 * SPDX-License-Identifier: MIT
 */

html {
	background-color: #f2f4ff;
}

body {
	box-shadow: 0 0 2rem rgb(89 111 237 / 10%);
}

h1, h2 {
	color: #3649bc;
	border-bottom-width: 0.075rem;
	border-bottom-color: #97a6ff;
}

h3 {
	color: #455bd2;
}

@media (prefers-color-scheme: dark) {
	html {
		background-color: #151a3d;
	}

	body {
		box-shadow: 0 0 2rem rgb(0 0 0 / 35%);
	}

	h1, h2 {
		color: #aebaff;
		border-bottom-color: #6679dd;
	}

	h3 {
		color: #8d9fff;
	}
}

@media (prefers-contrast: more) {
	html {
		background-color: #ffffff;
	}

	body {
		box-shadow: none;
	}

	h1, h2, h3 {
		color: #000000;
	}

	h1, h2 {
		border-bottom-color: #000000;
	}
}

@media (prefers-contrast: more) and (prefers-color-scheme: dark) {
	html {
		background-color: #000000;
	}

	h1, h2, h3 {
		color: #e0e0e0;
	}

	h1, h2 {
		border-bottom-color: #e0e0e0;
	}
}

@media (max-width: 48rem) {
	body {
		box-shadow: none;
	}
}
